/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#ifndef HALLWAYSCREENVIEWBASE_HPP
#define HALLWAYSCREENVIEWBASE_HPP

#include <gui/common/FrontendApplication.hpp>
#include <mvp/View.hpp>
#include <gui/hallwayscreen_screen/HallwayScreenPresenter.hpp>
#include <touchgfx/widgets/Image.hpp>
#include <touchgfx/containers/Container.hpp>

#include <touchgfx/widgets/Button.hpp>
#include <gui/containers/FpsMcuLoad.hpp>
#include <touchgfx/EasingEquations.hpp>
#include <touchgfx/mixins/FadeAnimator.hpp>
#include <touchgfx/mixins/MoveAnimator.hpp>
class HallwayScreenViewBase : public touchgfx::View<HallwayScreenPresenter>
{
public:
    HallwayScreenViewBase();
    virtual ~HallwayScreenViewBase() {}
    virtual void setupScreen();

protected:
    FrontendApplication& application() {
        return *static_cast<FrontendApplication*>(touchgfx::Application::getInstance());
    }

    /*
     * Member Declarations
     */
    touchgfx::Image windowBg;
    touchgfx::MoveAnimator< touchgfx::Container > cloudContainer;
    touchgfx::MoveAnimator< touchgfx::Image > cloud3;
    touchgfx::MoveAnimator< touchgfx::Image > cloud2;
    touchgfx::MoveAnimator< touchgfx::Image > cloud1;

    touchgfx::Image hallback;
    touchgfx::FadeAnimator< touchgfx::MoveAnimator< touchgfx::Button > > buttonBathrrom;
    touchgfx::FadeAnimator< touchgfx::MoveAnimator< touchgfx::Button > > buttonKitchen;
    FpsMcuLoad mcu;

private:

    /*
     * Callback Declarations
     */
    touchgfx::Callback<HallwayScreenViewBase, const touchgfx::AbstractButton&> buttonCallback;

    /*
     * Callback Handler Declarations
     */
    void buttonCallbackHandler(const touchgfx::AbstractButton& src);

};

#endif // HALLWAYSCREENVIEWBASE_HPP
